package net.voltexstudios;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.blockrenderlayer.v1.BlockRenderLayerMap;
import net.fabricmc.fabric.api.client.rendering.v1.EntityModelLayerRegistry;
import net.fabricmc.fabric.api.client.rendering.v1.EntityRendererRegistry;
import net.minecraft.client.render.RenderLayer;
import net.voltexstudios.blocks.ModBlocks;
import net.voltexstudios.entity.ModEntities;
import net.voltexstudios.entity.client.VultureModel;
import net.voltexstudios.entity.client.VultureRenderer;


public class VoltexDesertUpdateClient implements ClientModInitializer {
    @Override
    public void onInitializeClient() {
        VoltexDesertUpdate.LOGGER.info("Initializing Desert Update Client");

        BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.PALM_SAPLING, RenderLayer.getCutout());

        EntityModelLayerRegistry.registerModelLayer(VultureModel.VULTURE, VultureModel::getTexturedModelData);
        EntityRendererRegistry.register(ModEntities.VULTURE_ENTITY, VultureRenderer::new);
    }
}
